=== debian/changelog ===
lablgtk2 (2.14.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #585455)
    - remove Patch-to-build-with-GtkSourceView-2.0 (applied upstream)
  * debian/control:
    - remove Stefano from Uploaders
    - bump build-dependency to libgtksourceview2.0-dev
    - bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Feb 2011 06:57:19 +0100

lablgtk2 (2.14.0+dfsg-2) unstable; urgency=low

  * Upload to unstable
  * Make liblablgtksourceview2-* replace/conflict with previous version

 -- Stéphane Glondu <glondu@debian.org>  Sun, 29 Nov 2009 19:20:34 +0100

lablgtk2 (2.14.0+dfsg-1) experimental; urgency=low

  * New upstream release:
    - replace libgtksourceview by libgtksourceview2 everywhere
      (Closes: #532905)
    - debian/patches:
      + remove Add-libgnomeui-header.patch
      + add Patch-to-build-with-GtkSourceView-2.0.patch
    - remove "applications" from upstream sources because of licensing
      issues (see README.source), adapt version number and debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 23 Oct 2009 15:53:55 +0200

lablgtk2 (2.12.0-4) unstable; urgency=low

  * Big packaging update:
    - use new dh-ocaml
    - switch debian/rules to dh
    - update versioned build-dependencies accordingly
    - remove Lintian overrides
    - move all generated documentation to a new binary package
      liblablgtk2-ocaml-doc
  * Update my e-mail address, remove DMUA, remove Sven from Uploaders
  * Add README.source
  * Update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 29 Sep 2009 20:14:10 +0200

lablgtk2 (2.12.0-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Update download url in copyright file.

  [ Stephane Glondu ]
  * Switch patches to quilt
  * Add Add-libgnomeui-header.patch to fix FTBFS with recent libgnomeui
    (Closes: #531088, #534935)
  * Update Standards-Version to 3.8.2
  * Move to section ocaml
  * Add DM-Upload-Allowed
  * Add versioned dependency on liblablgl-ocaml-dev for OCaml transition
    to 3.11.1
  * Update Lintian overrides

 -- Stephane Glondu <steph@glondu.net>  Tue, 30 Jun 2009 09:18:44 +0200

lablgtk2 (2.12.0-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Remove various versioned dependencies.
  * Switch packaging to git.

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Use dh-ocaml predefined variables in rules.
  * Use native version of ocamldoc if available.

 -- Samuel Mimram <smimram@debian.org>  Thu, 26 Feb 2009 23:29:27 +0100

lablgtk2 (2.12.0-1) experimental; urgency=low

  * New upstream release.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.
  * Version licence references in copyright.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Feb 2009 13:03:28 +0100

lablgtk2 (2.10.1-3) experimental; urgency=low

  * Rebuild with OCaml 3.11.0
  * Add myself to Uploaders

 -- Stephane Glondu <steph@glondu.net>  Sun, 01 Feb 2009 12:22:28 +0100

lablgtk2 (2.10.1-2) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Update debian/copyright file
  * Fix GTK -> GTK+ in debian/control
  * Move META.lablgtk2-gl to directory METAS/
  * Stop creating empty directory lablgtkgl2
  * Clean config.*
  * Rebuild for ocaml 3.10.2

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 23 May 2008 12:39:48 +0200

lablgtk2 (2.10.1-1) experimental; urgency=low

  [ Ralf Treinen ]
  * Recompiled for ocaml 3.10.2.
  * Added myself to Uploaders.
  * Capitalization errors in package descriptions.
  
  [ Samuel Mimram ]
  * New upstream release.
  * Builds with OCaml 3.10.2, closes: #472994.
  * Removed setlocale.dpatch, integrated upstream.

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * fix "GNOME" spelling in package descriptions
  
 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 21:15:55 +0200

lablgtk2 (2.10.0-4) unstable; urgency=low

  * Add a Replaces for liblablgtksourceview-ocaml-dev since I moved files from
    liblablgtk2-ocaml-dev to liblablgtksourceview-ocaml-dev.
  * Updated standards version to 3.7.3, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 22 Dec 2007 13:06:51 +0100

lablgtk2 (2.10.0-3) unstable; urgency=low

  * Move some forgotten files into liblablgtksourceview-ocaml-dev,
    closes: #452089.
  * Install some missing cmi files, closes: #453210.
  * Backported setlocale.dpatch to handle non-C locales, closes: #445193.

 -- Samuel Mimram <smimram@debian.org>  Fri, 14 Dec 2007 15:04:15 +0000

lablgtk2 (2.10.0-2) unstable; urgency=low

  * Upload to unstable
  * Generate html documentation for gtksourceview.
  * Don't install *.o files, closes: #444310.

 -- Samuel Mimram <smimram@debian.org>  Sat, 17 Nov 2007 17:52:57 +0000

lablgtk2 (2.10.0-1) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * Add Homepage field to debian/control.

  [ Samuel Mimram ]
  * New upstream release.
  * Provides liblablgtksourceview-ocaml{,-dev}.

 -- Samuel Mimram <smimram@debian.org>  Wed, 26 Sep 2007 16:09:49 +0000

lablgtk2 (2.6.0-13) unstable; urgency=low

  * Revert previous change (the problem was not there) and remove *.cmx
    *.cmxa and *.o from dh_install files. Use a move in the debian/rules to
     transfer things if and only if on non native arches.

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 07 Sep 2007 00:07:37 +0200

lablgtk2 (2.6.0-12) unstable; urgency=low

  * On non native arches, there is no *.cmx, don't fail at dh_install
    step in this case

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 06 Sep 2007 23:59:45 +0200

lablgtk2 (2.6.0-11) unstable; urgency=low

  * Build-depends on ocaml 3.10.0-8 to be able to generate *.doc-
    base.ocamldoc-apiref

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 17:57:12 +0200

lablgtk2 (2.6.0-10) unstable; urgency=low

  * Tighten build dependency on liblabgl to make it build with the first
    lablgl library which will have ocaml 3.10.0 ABI

