=== debian/control ===
Source: lablgtk2
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9.5~),
 ocaml-nox (>= 3.11.1-3~),
 ocaml,
 camlp4 (>= 3.11),
 liblablgl-ocaml-dev (>= 1.04-3~),
 libncurses5-dev,
 libgtk2.0-dev,
 libgtkgl2.0-dev,
 libglade2-dev,
 librsvg2-dev,
 libgnomecanvas2-dev,
 libgtkspell-dev,
 libgnomeui-dev,
 libpanel-applet2-dev,
 libgtksourceview2.0-dev (>= 2.10)
Standards-Version: 3.9.1
Homepage: http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lablgtk2.git

Package: liblablgtk2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings for GTK+ version 2
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables.

Package: liblablgtk2-gl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings to GtkGL
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables using GtkGL functionalities.

Package: liblablgtk2-gnome-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings to GNOME
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables using GNOME functionalities (panel-applet, gnomeui,
 gnome-canvas, rsvg).

Package: liblablgtksourceview2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblablgtksourceview-ocaml
Breaks: liblablgtksourceview-ocaml (<< 2.14.0+dfsg-1~)
Description: OCaml bindings for libgtksourceview2 (runtime)
 This is the OCaml binding for the GtkSourceView2 widget, a text widget that
 extends the standard GTK+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the shared runtime stub libraries.

Package: liblablgtk2-ocaml-dev
Architecture: any
Suggests: liblablgtk2-gl-ocaml-dev, liblablgtk2-gnome-ocaml-dev
Depends:
 libgtk2.0-dev,
 libglade2-dev,
 libgtkspell-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to Gtk+ version 2
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the development files of lablgtk.

Package: liblablgtk2-gl-ocaml-dev
Architecture: any
Suggests: liblablgtk2-gnome-ocaml-dev
Depends:
 libgtkgl2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to GtkGL
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the development files of lablgtk for libraries using
 GtkGL.

Package: liblablgtk2-gnome-ocaml-dev
Architecture: any
Depends:
 librsvg2-dev,
 libgnomecanvas2-dev,
 libgnomeui-dev,
 libpanel-applet2-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to GNOME
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package contains the development files of lablgtk for libraries using
 GNOME functionalities (panel-applet, gnomeui, gnome-canvas, rsvg).

Package: liblablgtksourceview2-ocaml-dev
Architecture: any
Depends:
 libgtksourceview2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Replaces: liblablgtksourceview-ocaml-dev
Breaks: liblablgtksourceview-ocaml-dev (<< 2.14.0+dfsg-1~)
Description: OCaml bindings for libgtksourceview2, a source editor GTK+ widget
 This is the OCaml binding for the GtkSourceView2 widget, a text widget that
 extends the standard GTK+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the development part of the lablgtksourceview2 package.

Package: liblablgtk2-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances:
 liblablgtk2-ocaml-dev,
 liblablgtk2-gl-ocaml-dev,
 liblablgtk2-gnome-ocaml-dev,
 liblablgtksourceview2-ocaml-dev
Description: OCaml bindings to Gtk+ version 2 (documentation)
 LablGTK2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the API reference of all libraries provided by
 LablGTK2.
