=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html \
  dist/lablgtk-(\d+\.[\d.]+)\.tar\.gz
  # forcing the '.' in version number to skip CVS snapshots
