=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9.5~),
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-nox (>= 4.00.1),
  ocaml,
  camlp4 (>= 3.11),
  liblablgl-ocaml-dev (>= 1.04-3~),
@@ -22,12 +21,12 @@
  libgnomecanvas2-dev,
  libgtkspell-dev,
  libgnomeui-dev,
- libpanel-applet2-dev,
- libgtksourceview2.0-dev (>= 2.10)
-Standards-Version: 3.9.1
-Homepage: http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/lablgtk.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/lablgtk2.git
+ libgtksourceview2.0-dev (>= 2.10),
+ ocaml-findlib (>= 1.3.2)
+Standards-Version: 3.9.4
+Homepage: http://forge.ocamlcore.org/projects/lablgtk/
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lablgtk2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lablgtk2.git
 
 Package: liblablgtk2-ocaml
 Architecture: any
@@ -65,8 +64,8 @@
 Description: runtime libraries for OCaml bindings to GNOME
  lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
  .
- This package include only the dynamic libraries needed for running dynamic
- bytecode executables using GNOME functionalities (panel-applet, gnomeui,
+ This package include only the dynamic libraries needed for running
+ dynamic bytecode executables using GNOME functionalities (gnomeui,
  gnome-canvas, rsvg).
 
 Package: liblablgtksourceview2-ocaml
@@ -124,7 +123,6 @@
  librsvg2-dev,
  libgnomecanvas2-dev,
  libgnomeui-dev,
- libpanel-applet2-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
@@ -134,7 +132,7 @@
  lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
  .
  This package contains the development files of lablgtk for libraries using
- GNOME functionalities (panel-applet, gnomeui, gnome-canvas, rsvg).
+ GNOME functionalities (gnomeui, gnome-canvas, rsvg).
 
 Package: liblablgtksourceview2-ocaml-dev
 Architecture: any
