=== debian/changelog ===
lablgtk2 (2.16.0+dfsg-1) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:20:25 +0100

lablgtk2 (2.16.0+dfsg-1~exp3) experimental; urgency=low

  * Fix installation of META files
  * Respect upstream convention for lablgtk2.sourceview2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 09:23:00 +0200

lablgtk2 (2.16.0+dfsg-1~exp2) experimental; urgency=low

  * Update version in META files

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 08:44:10 +0200

lablgtk2 (2.16.0+dfsg-1~exp1) experimental; urgency=low

  [ Lifeng Sun ]
  * Team upload.
  * New upstream release.
  * Build depends on ocaml-findlib.
  * Switch debian/copyright to Machine readable format.
  * Bump debhelper compat level to 9.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Update Homepage.
    - Build depends on ocaml-findlib.

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 12 May 2013 08:27:39 +0800

lablgtk2 (2.14.2+dfsg-3) unstable; urgency=low

  * Update version in META files (Closes: #673835)
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jun 2012 08:10:15 +0200

lablgtk2 (2.14.2+dfsg-2) unstable; urgency=low

  * Remove gnome-panel support (Closes: #638133)
  * Remove duplicate changelog from liblablgtk2-ocaml
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Aug 2011 08:31:55 +0200
