=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 DESTDIR := $(CURDIR)/debian/tmp
+export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
+export OCAMLFIND_LDCONF=ignore
 
 %:
 	dh $@ --with ocaml
@@ -14,7 +16,7 @@
 override_dh_auto_configure:
 	cp  src/.depend debian/src.depend.backup
 	dh_auto_configure -- --with-gl --with-glade --with-rsvg		\
-	--with-gnomecanvas --with-gtkspell --with-gnomeui --with-panel	\
+	--with-gnomecanvas --with-gtkspell --with-gnomeui \
 	--with-gtksourceview2
 
 .PHONY: override_dh_auto_build
@@ -30,15 +32,21 @@
 	if [ -f debian/src.depend.backup ]; then \
 	  mv debian/src.depend.backup src/.depend; \
 	fi
+	$(RM) config.log config.make config.status test_dynlink.*
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
+	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	$(MAKE) install DESTDIR=$(DESTDIR)
 # remove files related to gtksourceview1 (uncompiled anyway... and
 # make dh_ocamldoc fail)
 	rm \
 	  debian/tmp/usr/lib/ocaml/lablgtk2/gtkSourceView_types.mli \
 	  debian/tmp/usr/lib/ocaml/lablgtk2/gSourceView.mli
+# remove files related to uncompiled gnome-panel (see #638133)
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/panel.mli
+# FIXME: we should use upstream META file
+	rm debian/tmp/usr/lib/ocaml/lablgtk2/META
 
 .PHONY: override_dh_installexamples
 override_dh_installexamples:
@@ -46,4 +54,4 @@
 
 .PHONY: override_dh_install
 override_dh_install:
-	dh_install --list-missing
+	dh_install --fail-missing -Xbuild.ml
