## lablgtk2 2.18.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,10 @@
 all opt doc install uninstall byte world old-install old-uninstall: config.make
 all opt doc install uninstall byte clean depend world old-install old-uninstall:
 	$(MAKE) -C src $@
+
+preinstall:
+	$(MAKE) -C src $@
+	$(MAKE) -f Makefile.pre
 
 arch-clean:
 	@rm -f config.status config.make config.cache config.log
