=== debian/changelog ===
lablgtk2 (2.18.3+dfsg-2ubuntu1) artful; urgency=medium

  * Cherrypick upstream patch to fix compat with 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 14:03:51 +0100

lablgtk2 (2.18.3+dfsg-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 12:23:40 +0100

lablgtk2 (2.18.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Pull sources from the build path for building documentation.
    (Closes: #806625)
  * debian/control: Use HTTPS for Vcs-* links
  * debian/control: Bump Standards-Version to 3.9.8.
    No change required
  * Fix debian/copyright.
    Invalid shortnames were used for licences

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 30 Jul 2016 01:14:41 +0200

lablgtk2 (2.18.3+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Remove "Don't install *Props.* files." patch. With OCaml 4.02, these
      files are needed for e.g. mldonkey, coq.
    - Remove -pp & -no-custom-tags from dh_ocamldoc (causes FTBFS)
  * Set filter-pristine-tar options in debian/gbp.conf

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Oct 2015 13:41:16 +0200
