=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lablgtk2
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Samuel Mimram <smimram@debian.org>,
  Ralf Treinen <treinen@debian.org>,
@@ -23,10 +24,10 @@
  libgnomeui-dev,
  libgtksourceview2.0-dev (>= 2.10),
  ocaml-findlib (>= 1.3.2)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://forge.ocamlcore.org/projects/lablgtk/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lablgtk2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lablgtk2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lablgtk2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/lablgtk2.git
 
 Package: liblablgtk2-ocaml
 Architecture: any
